Incus - Command line client(1)

NAME
incus-file-create - Create files and directories in instances

SYNOPSIS
incus file create [:]/ [] [flags]

DESCRIPTION
Description:
  Create files and directories in instances

OPTIONS
-p, --create-dirs[=false]
    ``Create any directories necessary

-f, --force[=false]
    ``Force creating files or directories

--gid=-1
    ``Set the file's gid on create

--mode=""
    ``Set the file's perms on create

-t, --type="file"
    ``The type to create (file, symlink, or directory)

--uid=-1
    ``Set the file's uid on create

OPTIONS INHERITED FROM PARENT COMMANDS
--debug[=false]
    Show all debug messages

--explain[=false]
    If the command is valid, explain its parsed arguments instead of running it

--force-local[=false]
    Force using the local unix socket

-h, --help[=false]
    Print help

--project=""
    Override the source project``

-q, --quiet[=false]
    Don't show progress information

--sub-commands[=false]
    Use with help or --help to view sub-commands

-v, --verbose[=false]
    Show all information messages

--version[=false]
    Print version number

EXAMPLE
      incus file create foo/bar
         To create a file /bar in the foo instance.

      incus file create --type=symlink foo/bar baz
         To create a symlink /bar in instance foo whose target is baz.

SEE ALSO
incus-file(1)

HISTORY
30-Jul-2026 Auto generated by spf13/cobra